Summary:        RSS Parsing Library
Name:           libmrss
Version:        0.19.2
%define soname 0
Release: 	    1.1
# http://www.autistici.org/bakunin/libmrss/libmrss-%{version}.tar.gz
Source: 	    libmrss-%{version}.tar.bz2
Patch1:         libmrss-curl_compat.patch
License: 	    GNU Lesser General Public License version 2.1 (LGPL 2.1)
Group:          System/Libraries
URL:            http://www.autistici.org/bakunin/codes.php
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glib2-devel libnxml-devel
BuildRequires:  gcc glibc-devel pkgconfig make
%if 0%{?suse_version} == 0 || 0%{?suse_version} >= 1030
BuildRequires:	libcurl-devel
%else
BuildRequires:	curl-devel
%endif

%description
libmRSS is a C library for parsing, writing, and creating RSS (Rich Site
Summary, Really Simple Syndication, and RDF Site Summary) and ATOM files or
streams. The formats supported are: RSS 0.91, RSS 0.92, RSS 1.0, RSS 2.0, ATOM
0.3, and ATOM 1.0.

%package -n libmrss%{soname}
Summary:        RSS Parsing Library
Group:          System/Libraries

%description -n libmrss%{soname}
libmRSS is a C library for parsing, writing, and creating RSS (Rich Site
Summary, Really Simple Syndication, and RDF Site Summary) and ATOM files or
streams. The formats supported are: RSS 0.91, RSS 0.92, RSS 1.0, RSS 2.0, ATOM
0.3, and ATOM 1.0.

%package devel
Summary:        Headers and development package for libmrss 
Group:          Development/Libraries/C and C++
Requires:       libmrss%{soname} = %{version}-%{release}
Requires:       glib2-devel libnxml-devel
%if 0%{?suse_version} == 0 || 0%{?suse_version} >= 1030
Requires:		libcurl-devel
%else
Requires:		curl-devel
%endif

%description devel
libmRSS is a C library for parsing, writing, and creating RSS (Rich Site
Summary, Really Simple Syndication, and RDF Site Summary) and ATOM files or
streams. The formats supported are: RSS 0.91, RSS 0.92, RSS 1.0, RSS 2.0, ATOM
0.3, and ATOM 1.0.

%prep
%setup -q
%patch1

%build 
%configure
make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install
%__rm "%{buildroot}%{_libdir}"/*.la

%post   -n libmrss%{soname} -p /sbin/ldconfig
%postun -n libmrss%{soname} -p /sbin/ldconfig

%files -n libmrss%{soname}
%defattr(-,root,root)
%{_libdir}/libmrss.so.%{soname}
%{_libdir}/libmrss.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/mrss.pc
%{_libdir}/libmrss.so
%{_includedir}/mrss.h
%{_libdir}/libmrss.a

%changelog
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Wed Feb 17 2010 pascal.bleser@opensuse.org
- add baselibs support
- add patch to build with older curl on SLES 9
* Wed Mar 25 2009 dominique@leuenberger.net
- Initial package of 0.2.2 for openSUSE
